%define name	muse
%define version	0.7.1
%define	release	1mdk

%define __libtoolize /bin/true

Name:		%{name}
Summary:	MusE is a MIDI/Audio sequencer with recording and editing capabilities
Version:	%{version}
Release:	%{release}
URL:		http://lmuse.sourceforge.net/
Source:		%{name}-%{version}fixed.tar.bz2
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jackit-devel libalsa-devel openjade doxygen qt3-devel
BuildRequires:  fluidsynth-devel libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	docbook-style-dsssl docbook-dtd41-sgml
BuildRequires:	ladcca-devel >= 0.4.0
License:	GPL

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities
written by Werner Schweer.  MusE aims to be a complete multitrack virtual
studio for Linux, it is published under the GNU General Public License.
MusE has among other things support for:
    * Midi sequencing
    * Audio sequencing
    * LADSPA
    * Jack
    * ALSA - based on the Advanced Linux Sound Architecture 

You can use several soundcards to access external midi devices and
record/playback them with MusE. 

*NOTE: To use muse, you must enable the realtime-lsm kernel module (2.6 kernel
       only) or change /usr/bin/muse to suid root (chmod 4755).  You must
       also have jackd running as the same user.
       
%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%configure2_5x --disable-optimize --with-docbook-stylesheets=/usr/share/sgml/docbook/dsssl-stylesheets-1.79 --disable-qttest --disable-suid-install --disable-suid-build --enable-ladcca
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SUIDINSTALL=no install

mkdir -p $RPM_BUILD_ROOT%_menudir
# (mandrake) menu support
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="MIDI sequencer" \
command="/usr/bin/muse" title="MusE"  needs="x11" \
section="Multimedia/Sound" \
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc INSTALL ChangeLog README* SECURITY
%_bindir/*
%_libdir/%name
%_datadir/%name
%_menudir/*

%changelog
* Sat Jan 15 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- 0.7.1
- fix summary
- configure 2.5
- buildrequires samplerate
- update configure flags
- update description

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.6.3-2mdk 
- rebuild for new gcc ( patch0 )

* Mon Jan 5 2004 Austin Acton <austin@linux.ca> 0.6.3-1mdk
- 0.6.3
- new URL
- fix buildrequires for lib64

* Thu Nov 6 2003 Austin Acton <aacton@yorku.ca> 0.6.2-1mdk
- 0.6.2
- buildrequires ladcca 0.4.0

* Tue Aug 19 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- 0.6.1

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk
- 0.6.0 final
- use fluid, not iiwu
- simplify configure
- point to docbook
- drop patch
- rename menu entry

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.6.0-0.pre5.2mdk
- buildrequires openjade, doxygen, libqt3-devel

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.6.0-0.pre5.1mdk
- bump version
- quiet setup
- add patch from author
- fixup requires

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.2mdk
- remove jack dependency

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- 0.6.0pre3
- clean filelist
- disable-suid-build for now
- from James Gregory <james@james.id.au> :
	- fixed file locations to use macros rather than absolute paths

* Thu Oct  3 2002 James Gregory <james@james.id.au>  0.6.0-0.pre2.2mdk
- First version to build.
